package language.visual;

import language.CodeLanguage;
import background.CommandManager;

public class English extends SimpleVizLanguage {

	public English(CommandManager cm, CodeLanguage cl) { super(cm, cl); }

	@Override
	public String getEOLRegex() {
		return ";";
	}
	
	@Override
	public void createDictionary() {
		addToDictionary("vizVar", "premenna");
		addToDictionary("vizFor", "for");
		addToDictionary("vizOperation", "operacia");
		addToDictionary("vizRepeat", "repeat");
		addToDictionary("vizWhile", "while");
		addToDictionary("vizIf", "if");
		addToDictionary("vizPause", "pause");
		addToDictionary("vizImage", "image");
		addToDictionary("vizRead", "vstup");
		addToDictionary("vizWrite", "vystup");	
		addToDictionary("vizQuestion", "question");
		addToDictionary("vizGlobal", "nastavenia");
	}
	
	@Override
	public void createParamDictionary() {
		super.createParamDictionary();
		paramDictionary.put("mult", "multiplicator");
		paramDictionary.put("visual", "type");		
	}	

}
